unit Unit1;

{ Demonstration for FREE CARDS32.DLL By Paul TOTH <tothpaul@multimania.com> }
{ http://www.multimania.com/tothpaul }
{ It use exactly the same API as Microsoft CARDS.DLL (16bits) }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    { Dclarations prives }
    CardWidth:integer;
    CardHeight:integer;
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{- CARDS.DLL -------------------------------------------------------------------------}
Const
{ CdtDraw/Ext, nDraw Field }
 C_FACES=0;
 C_BACKS=1;
 C_INVERT=2;
{ Special Cards (C_BACKS) }
 CrossHatch=53;
 Weave1=54;
 Weave2=55;
 Robot=56;
 Flowers=57;
 Vine1=58;
 Vine2=59;
 Fish1=60;
 Fish2=61;
 Shells=62;
 Castle=63;
 Island=64;
 CardHand=65;
 UNUSED=66;
 TheX=67;
 TheO=68;

{ Init DLL, Return Cards Size (pixels) }
function CdtInit(Var Width,Height:integer):integer; stdcall; far; external 'CARDS32.DLL';
{ Draw one of the 68(-1) card at X,Y, Color=highlight color (?) }
function CdtDraw(DC:HDC; X,Y,Card,Flag:integer;Color:TColor):integer; stdcall; far; external 'CARDS32.DLL';
{ Same as above + draw Width & Height }
function CdtDrawExt(DC:HDC; X,Y,W,H,Card,Flag:integer;Color:TColor):integer; stdcall; far; external 'CARDS32.DLL';
{ Done }
function CdtTerm:integer; far; external 'CARDS32.DLL';
{--------------------------------------------------------------------------------------}

procedure TForm1.FormCreate(Sender: TObject);
begin
 CdtInit(Cardwidth,CardHeight);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
 CdtTerm;
end;

procedure TForm1.FormPaint(Sender: TObject);
var
 x:integer;
begin
 for x:=0 to 51 do begin
  CdtDraw(Canvas.Handle,5*x,5*x,x,C_FACES,0);
 end;
end;

end.
